Bug 489570 - X crash on login running under Parallels
X crash on login running under Parallels
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-10 14:06 EDT by Orion Poplawski
Modified: 2009-06-27 10:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-27 10:02:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (63.45 KB, text/plain)
2009-03-10 14:06 EDT, Orion Poplawski
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 20586 None None None Never

  None (edit)
Description Orion Poplawski 2009-03-10 14:06:04 EDT
Created attachment 334685 [details]
Xorg log

Description of problem:

Parallels VM with Fedora 10.  no xorg.conf.  During login X server crashes.


(II) XINPUT: Adding extended input device "Macintosh mouse button emulation" (type: MOUSE)
AUDIT: Mon Mar  9 15:22:28 2009: 2515 X: client 1 rejected from local host ( uid=1020 gid=1001 pid=2425 )
AUDIT: Mon Mar  9 15:22:28 2009: 2515 X: client 1 rejected from local host ( uid=1020 gid=1001 pid=2425 )
AUDIT: Mon Mar  9 15:22:28 2009: 2515 X: client 1 rejected from local host ( uid=1020 gid=1001 pid=2425 )
AUDIT: Mon Mar  9 15:22:28 2009: 2515 X: client 1 rejected from local host ( uid=1020 gid=1001 pid=2425 )
AUDIT: Mon Mar  9 15:22:28 2009: 2515 X: client 1 rejected from local host ( uid=1020 gid=1001 pid=2425 )

Backtrace:
0: /usr/bin/X(xorg_backtrace+0x3b) [0x812bd6b]
1: /usr/bin/X(xf86SigHandler+0x51) [0x80bcc81]
2: [0x5b8400]

Fatal server error:
Caught signal 11.  Server aborting


Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.5.3-13.fc10.i386

How reproducible:
Everytime
Comment 1 Orion Poplawski 2009-03-10 16:47:39 EDT
Program received signal SIGSEGV, Segmentation fault.
0x00000000 in ?? ()
(gdb) bt
#0  0x00000000 in ?? ()
#1  0x05885383 in fbFetch (pict=0x8776478, x=880, y=645, width=22,
    buffer=0xbf961f0c, mask=0x0, maskBits=4278190080) at pixman-compose.c:135
#2  0x05884bdc in pixman_composite_rect_general_no_accessors ()
    at pixman-compose.c:488
#3  pixman_composite_rect_general (data=0xbf967f3c) at pixman-compose.c:587
#4  0x05889940 in pixman_image_composite_rect (op=PIXMAN_OP_SRC, src=0x8776478,
    mask=0x0, dest=0x86edf38, src_x=880, src_y=880, mask_x=-8104, mask_y=0,
    dest_x=0, dest_y=0, width=22, height=22) at pixman-pict.c:1297
#5  0x058895d1 in pixman_walk_composite_region () at pixman-pict.c:1247
#6  pixman_image_composite (op=PIXMAN_OP_SRC, pSrc=0x8776478, pMask=0x0,
    pDst=0x86edf38, xSrc=880, ySrc=645, xMask=0, yMask=0, xDst=0, yDst=0,
    width=<value optimized out>, height=<value optimized out>) at pixman-pict.c:1893
#7  0x00fc6692 in fbComposite (op=0 '\0', pSrc=0x86ed0c8, pMask=0x0,
    pDst=0x8776350, xSrc=880, ySrc=8, xMask=<value optimized out>,
    yMask=<value optimized out>, xDst=0, yDst=0, width=22, height=22)
    at fbpict.c:185
#8  0x0816f75a in damageComposite (op=0 '\0', pSrc=0x86ed0c8, pMask=0x0,
    pDst=0x8776350, xSrc=<value optimized out>, ySrc=<value optimized out>,
    xMask=<value optimized out>, yMask=<value optimized out>,
    xDst=<value optimized out>, yDst=<value optimized out>,
    width=<value optimized out>, height=<value optimized out>) at damage.c:576
#9  0x081581ea in CompositePicture (op=1 '\001', pSrc=0x86ed0c8, pMask=0x0,
    pDst=0x8776350, xSrc=880, ySrc=8, xMask=<value optimized out>,
    yMask=<value optimized out>, xDst=<value optimized out>,
    yDst=<value optimized out>, width=22, height=22) at picture.c:1674
#10 0x0813e034 in compNewPixmap (pWin=<value optimized out>,
    x=<value optimized out>, y=<value optimized out>, w=<value optimized out>,
    h=<value optimized out>) at compalloc.c:524
#11 0x0813e229 in compAllocPixmap (pWin=0x872a848) at compalloc.c:548
#12 0x0813d970 in compCheckRedirect (pWin=0x872a848) at compwindow.c:161
#13 0x0813da5e in compRealizeWindow (pWin=0x872a848) at compwindow.c:242
#14 0x0806ec6d in RealizeTree (pWin=0x872a848) at window.c:2686
#15 0x08070d6b in MapWindow (pWin=0x872a848, client=0x844f7c0) at window.c:2800
#16 0x08085619 in ProcMapWindow (client=0x844f7c0) at dispatch.c:695
#17 0x08085e9f in Dispatch () at dispatch.c:454
#18 0x0806b71d in main (argc=8, argv=0xbf9684d4, envp=0x222520) at main.c:441
(gdb) up
#1  0x05885383 in fbFetch (pict=0x8776478, x=880, y=645, width=22,
    buffer=0xbf961f0c, mask=0x0, maskBits=4278190080) at pixman-compose.c:135
135         fetch(pict, x, y, width, buffer);
(gdb) print *pict
$1 = {common = {type = BITS, ref_count = 1, full_region = {extents = {x1 = 0,
        y1 = 0, x2 = 1024, y2 = 35}, data = 0x0}, clip_region = {extents = {x1 = 0,
        y1 = 637, x2 = 1024, y2 = 672}, data = 0x0}, src_clip = 0x8776494,
    has_client_clip = 0, transform = 0x0, repeat = PIXMAN_REPEAT_NONE,
    filter = PIXMAN_FILTER_NEAREST, filter_params = 0x0, n_filter_params = 0,
    alpha_map = 0x0, alpha_origin = {x = 0, y = 0}, component_alpha = 0,
    read_func = 0, write_func = 0}, format = 402819208, indexed = 0x0,
  width = 1024, height = 35, bits = 0x8215330, free_me = 0x0, rowstride = 1024}
(gdb) print *buffer
$2 = 3098112
Comment 2 Orion Poplawski 2009-03-10 17:10:35 EDT
Filed upstream bug against pixman since that seems to be where the crash occurs.  Not sure which is really correct.
Comment 3 Orion Poplawski 2009-03-10 18:00:07 EDT
Possible workaround seems to be to run in 16-bit color mode, though now running into other issues with that....
Comment 4 Matěj Cepl 2009-03-10 18:47:13 EDT
After discussing this on IRC, ajax claims this is X server bug.
Comment 5 Orion Poplawski 2009-03-11 10:38:41 EDT
Well, as noted in the upstream report, the pixman library is definitely coded in a way that it can attempt to call a null function pointer, which is clearly a problem.  Perhaps the X server shouldn't be calling the pixman code in that way too.  I'll let the more knowledgeable hash that out though. :-)
Comment 6 Adam Jackson 2009-06-11 15:24:41 EDT
The picture format there is 0x18028888, which is... nonsensical.  The high 8 bits are the bpp of the format (0x18 = 24), but the low 16 bits are the width of each channel, and 8+8+8+8=32 which is more bits of fidelity than you have bits to store in.

The output of 'xdpyinfo -ext RENDER' would be informative here, presumably from launching the X server bare without any session.
Comment 7 Joe Nall 2009-06-23 22:38:31 EDT
[root@client ~]# Xorg -configure

X.Org X Server 1.5.3
Release Date: 5 November 2008
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-128.1.6.el5 x86_64 
Current Operating System: Linux client 2.6.28.1-20.jcdx.x86_64 #1 SMP Tue Feb 17 18:46:29 CST 2009 x86_64
Build Date: 24 May 2009  07:42:31PM
Build ID: xorg-x11-server 1.5.3-17.fc10 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Tue Jun 23 21:33:26 2009
List of video drivers:
	glint
	tdfx
	voodoo
	savage
	mach64
	s3virge
	mga
	radeon
	apm
	nv
	sis
	vmware
	ast
	intel
	sisusb
	rendition
	openchrome
	i740
	r128
	i128
	cirrus
	i810
	nouveau
	dummy
	trident
	ati
	v4l
	siliconmotion
	nvidia
	fbdev
	vesa
(++) Using config file: "/root/xorg.conf.new"
(EE) open /dev/fb0: No such file or directory

Backtrace:
0: Xorg(xorg_backtrace+0x26) [0x4e7c96]
1: Xorg(xf86SigHandler+0x39) [0x47a6a9]
2: /lib64/libc.so.6 [0x7f2bc5957f90]

Fatal server error:
Caught signal 11.  Server aborting

Aborted
Comment 8 Joe Nall 2009-06-23 22:39:50 EDT
There is a /dev/fb but not a /dev/fb0 in the previous comment.
Comment 9 Orion Poplawski 2009-06-24 11:52:37 EDT
Upgrading to the latest version of parallels fixed the issue for me, so I won't be any more help on this.
Comment 10 Matěj Cepl 2009-06-27 10:02:15 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.